Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.poifs.property
Class DocumentProperty

    java.lang.Object
      org.apache.poi.poifs.property.Property
          org.apache.poi.poifs.property.DocumentProperty

All Implemented Interfaces:
  POIFSViewable, Child

    public class DocumentProperty

extends Property

Trivial extension of Property for POIFSDocuments

Author:
  Marc Johnson (mjohnson at apache dot org)

Constructor Summary
`DocumentProperty(java.lang.String name, int size)` Constructor

Method Summary
`POIFSDocument` | `getDocument()` get the POIFSDocument
`boolean` | `isDirectory()`
`void` | `setDocument(POIFSDocument doc)` set the POIFSDocument
`boolean` | `shouldUseSmallBlocks()` give method more visibility

Methods inherited from class org.apache.poi.poifs.property.Property
`getName, getNextChild, getPreviousChild, getShortDescription, getSize, getStartBlock, getStorageClsid, getViewableArray, getViewableIterator, isSmall, preferArray, setNextChild, setPreviousChild, setStartBlock, setStorageClsid, writeData`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DocumentProperty

    public DocumentProperty(java.lang.String name,
                            int size)

  Constructor

  Parameters:
    `name` - POIFSDocument name
    `size` - POIFSDocument size

Method Detail

### setDocument

    public void setDocument(POIFSDocument doc)

  set the POIFSDocument

  Parameters:
    `doc` - the associated POIFSDocument

### getDocument

    public POIFSDocument getDocument()

  get the POIFSDocument

  Returns:
    the associated document

### shouldUseSmallBlocks

    public boolean shouldUseSmallBlocks()

  give method more visibility

  Overrides:
    `shouldUseSmallBlocks` in class `Property`
  Returns:
    true if this property should use small blocks

### isDirectory

    public boolean isDirectory()

  Specified by:
    `isDirectory` in class `Property`
  Returns:
    true if a directory type Property

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD